org.mariadb.jdbc.internal.packet.result

## Class ResultSetPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.result.AbstractResultPacket
  - - org.mariadb.jdbc.internal.packet.result.ResultSetPacket

    public class ResultSetPacket
    extends AbstractResultPacket

### Nested Class Summary

### Nested classes/interfaces inherited from class org.mariadb.jdbc.internal.packet.result.AbstractResultPacket

`AbstractResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`ResultSetPacket(ByteBuffer byteBuffer)` Initialize a ResultSetPacket : a resultset will have to be create.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getFieldCount()`
`AbstractResultPacket.ResultType` `getResultType()`

### Methods inherited from class org.mariadb.jdbc.internal.packet.result.AbstractResultPacket

`getLengthEncodedBinary, read24bitword`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultSetPacket

    public ResultSetPacket(ByteBuffer byteBuffer)
                    throws IOException

Initialize a ResultSetPacket : a resultset will have to be create.

Parameters:
  `byteBuffer` - current stream's byteBuffer
Throws:
  `IOException` - if byteBuffer data doesn't correspond to exepected data

### Method Detail

#### getResultType

    public AbstractResultPacket.ResultType getResultType()

Specified by:
  `getResultType` in class `AbstractResultPacket`

#### getFieldCount

    public long getFieldCount()